import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizactivate/` + url, ...arg)

/**
 * 用户充值待激活记录Api接口管理器
 *
 * @author fanzherong
 * @date  2025/02/27 16:36
 **/
export default {
	// 获取用户充值待激活记录分页
	bizActivatePage(data) {
		return request('page', data, 'get')
	},
	// 提交用户充值待激活记录表单 edit为true时为编辑，默认为新增
	bizActivateSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除用户充值待激活记录
	bizActivateDelete(data) {
		return request('delete', data)
	},
	// 获取用户充值待激活记录详情
	bizActivateDetail(data) {
		return request('detail', data, 'get')
	}
}
